data <- read.csv('activity_survey.data', as.is=T)
data$t <- data$t / 3600
data$a <- factor(data$a, labels=c('< 1h', '1h-2h', '2h-4h', '4h-6h', '6h-8h', '8h-10h', '> 10h'))

center <- data.frame(c=c(0.5, 1.5, 3, 5, 7, 9, 11), a=c('< 1h', '1h-2h', '2h-4h', '4h-6h', '6h-8h', '8h-10h', '> 10h'))

p <- ggplot(data, aes(t)) +
  geom_histogram(binwidth=1, color='gray', fill='gray') +
  facet_grid(. ~ a) +
  geom_vline(aes(xintercept=c), center, color='darkblue') +
  labs(x='Daily hours of web use', y='Count')
ggsave('testpilot-webuse.png', plot=p, width=10, height=2)
