#! /usr/bin/env python

import csv
import sys
import time

csvr = csv.reader(sys.stdin)

def msec_to_ts(ts_str):
    msec = ts_str[-3:]
    sec = ts_str[:-3]
    gmt = time.gmtime(float(sec))
    return time.strftime('%Y-%m-%d %H:%M:%S', gmt) + '.' + str(msec)    

for row in csvr:
    # Remove the last column (session ID) -- not actually used
    row.pop()

    if csvr.line_num == 1:
        print ','.join(row)
        continue

    code = row[1]

    if code == '8':
        # 222,8,"14 total bookmarks","2 folders","folder depth 1",1289237206429,""
        row[2] = row[2].split()[0]
        row[3] = row[3].split()[0]
        row[4] = row[3].split()[-1]
    elif code == '9':
        # 395,9,"New Bookmark Added","","",1289302086562,""
        if row[2].split()[-1] == 'Added':
            row[2] = 'item'
        else:
            row[2] = 'fldr'
    elif code == '11':
        # 461,11,"Bookmark Moved","","",1288907585241,""
        if row[2].split()[-1] == 'Moved':
            row[2] = 'mov'
        else:
            row[2] = 'del'
    elif code == '20':
        # 288,20,"Windows 0","Tabs 0","",1289315607242,""
        row[2] = row[2].split()[1]
        row[3] = row[3].split()[1]
    elif code == '24':
        # 143,24,1114283606000,"","",1289227520362,""
        row[2] = msec_to_ts(row[2])
    elif code == '26':
        # 26,26,"1 windows","3 tabs","",1289052620294,""
        row[2] = row[2].split()[0]
        row[3] = row[3].split()[0]
    elif code == '27':
        # 326,27,Unavailable,"","",1288919209508,""
        continue

    # Convert timestamp:
    row[5] = msec_to_ts(row[5])

    # Escape strings as needed
    for i in range(0, len(row)):
        if row[i] == '' or row[i].find(' ') >= 0:
            row[i] = '"' + row[i] + '"'

    # Print the thing.
    print ','.join(row)
